[arch-commits] Commit in go-openoffice/repos/testing-i686 (PKGBUILD)

andyrtr at archlinux.org andyrtr at archlinux.org
Sun Jul 5 07:07:57 EDT 2009


    Date: Sunday, July 5, 2009 @ 07:07:56
  Author: andyrtr
Revision: 44911

fix svn conflict

Modified:
  go-openoffice/repos/testing-i686/PKGBUILD

----------+
 PKGBUILD |   98 ++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 52 insertions(+), 46 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-07-05 11:04:31 UTC (rev 44910)
+++ PKGBUILD	2009-07-05 11:07:56 UTC (rev 44911)
@@ -2,14 +2,14 @@
 # Maintainer: AndyRTR <andyrtr at archlinux.org>
 
 pkgname=go-openoffice
-pkgver=3.1.0.98.1
-_GOver=3.1.0.98.1
-pkgrel=1
+pkgver=3.1.0.98.2
+_GOver=3.1.0.98.2 # = 3.1.1.alpha2
+pkgrel=2
 pkgdesc="OpenOffice.org - go-oo.org enhanced version of SUN's office suite"
 arch=('i686' 'x86_64')
 _go_tree="OOO310"
 _dir=DEV300
-_ootag=ooo310-m13 # m11 = OOo 3.1.0 RC2 = final
+_ootag=ooo310-m14 # m11 = OOo 3.1.0 RC2 = final
 license=('LGPL3')
 url="http://go-oo.org/"
 install=${pkgname}.install
@@ -26,15 +26,15 @@
 	    'gstreamer0.10-base:	+ some gstr-plugins to support multimedia content, e.g. in impress'
             'kdelibs:		for kde integration')
 makedepends=('automake' 'autoconf' 'wget' 'bison' 'findutils' 'flex' 'gawk' 'gcc-libs' 'libart-lgpl'
-	'pam' 'sane' 'perl-archive-zip' 'pkgconfig' 'unzip' "xulrunner>=1.9.0.10" 'apache-ant' 'cairo' 
-	'gperf' 'libcups' 'pstoedit' 'gconf' "openjdk6>=1.4" 'unixodbc' 'mesa>=7.4' 'poppler>=0.10.5'
+	'pam' 'sane' 'perl-archive-zip' 'pkgconfig' 'unzip' "xulrunner>=1.9.1-2" 'apache-ant' 'cairo' 
+	'gperf' 'libcups' 'pstoedit' 'gconf' "openjdk6>=1.5-4" 'unixodbc' 'mesa>=7.4' 'poppler>=0.10.5'
 	'gstreamer0.10-base>=0.10.22'  'mono>=2.4' 'kdelibs>=4.2.4-2') # 'boost' # 'libjpeg' 
 provides=('openoffice-base')
 conflicts=('openoffice-base')
 _mirror="http://download.go-oo.org/"
 source=(${_mirror}/${_go_tree}/ooo-build-${_GOver}.tar.gz
 	ArchLinux.patch
-	http://download.go-oo.org//DEV300/ooo-cli-prebuilt-3.1.tar.bz2
+	http://download.go-oo.org//DEV300/ooo-cli-prebuilt-3.1.1.tar.bz2
 	http://cairographics.org/releases//cairo-1.4.10.tar.gz
 	http://download.go-oo.org//SRC680/mdbtools-0.6pre1.tar.gz
 	${_mirror}/${_go_tree}/${_ootag}-{artwork,base,bootstrap,calc,components,extras,filters,help,impress,libs-gui,libs-core,libs-extern,postprocess,sdk,testing,ure,writer,libs-extern-sys,extensions}.tar.bz2
@@ -44,42 +44,48 @@
 	http://download.go-oo.org//DEV300/scsolver.2008-10-30.tar.bz2
 	http://download.go-oo.org//libwpd/libwpd-0.8.14.tar.gz
 	http://download.go-oo.org//SRC680/libwps-0.1.2.tar.gz
-	http://download.go-oo.org//SRC680/libwpg-0.1.3.tar.gz)
+	http://download.go-oo.org//SRC680/libwpg-0.1.3.tar.gz
+	http://download.go-oo.org//DEV300/ooo_oxygen_images-2009-06-17.tar.gz
+	buildfix_64bit_system_libjpeg.diff
+	openoffice.org-3.0.1.oooXXXXX.extensions.npapi.diff)
 #options=('!distcc' '!ccache' '!makeflags')
-noextract=(ooo-cli-prebuilt-3.1.tar.bz2 cairo-1.4.10.tar.gz mdbtools-0.6pre1.tar.gz
+noextract=(ooo-cli-prebuilt-3.1.1.tar.bz2 cairo-1.4.10.tar.gz mdbtools-0.6pre1.tar.gz
 	${_ootag}-{artwork,base,bootstrap,calc,components,extras,filters,help,impress,libs-gui,libs-core,libs-extern,postprocess,sdk,testing,ure,writer,libs-extern-sys,extensions}.tar.bz2
-	extras-3.tar.bz2 biblio.tar.bz2 unowinreg.dll scsolver.2008-10-30.tar.bz2 libwpd-0.8.14.tar.gz libwps-0.1.2.tar.gz libwpg-0.1.3.tar.gz)
-md5sums=('85781a1b76cd70e6b78608fe09581e29'
+	extras-3.tar.bz2 biblio.tar.bz2 unowinreg.dll scsolver.2008-10-30.tar.bz2 libwpd-0.8.14.tar.gz libwps-0.1.2.tar.gz libwpg-0.1.3.tar.gz ooo_oxygen_images-2009-06-17.tar.gz)
+md5sums=('dfbc3ee8fa5ff15eb410444d14318ccc'
          'a1ff3d64d0ca95c62a15c07e7f19f193'
-         'b5b895b338e81191a6abacc644e3f705'
+         '222a42af5b874ea15dbafd07b2381aee'
          '5598a5e500ad922e37b159dee72fc993'
          '246e8f38b2a1af1bcff60ee0da59300b'
-         '21089fe34654cf899706f60b2195dee5'
-         '1bc5d1563cf38287425e9f6a53003101'
-         '234681f8d4f41dc6b4752288acf01412'
-         '064f4a8c02323d86ee17fd4d8e53b21b'
-         '604b280541fa7a823f3dd06d16023556'
-         'd66fe9b2ccc99d7d00a76a21df7a0d18'
-         'af5d17b3475fc1e6fad19b3e9ad0c9f7'
-         'ab32d5b22bc0f89260a914cd26426185'
-         '138f29caa3802ccf26ac593b9cd2366d'
-         'b9b4c0e6aee7d69328637eeff3a039de'
-         'ea732cb0213002102a6051e139982380'
-         '00b3b1c7e90f3dbfa4b656213de4587f'
-         '60e2280c18a1ae0da9a1d7a72d88ff0a'
-         'beb3b785c85a160a752ff037c6d881eb'
-         '1077f5b38115990c714bfcae1eb819db'
-         '8dbc11a9b65b0e0254bf71fde0d9200f'
-         'f3000a15249aea104ae69e9bce9394a0'
-         'f8e7bb9a28f20ca2a9797a9046a1c2d8'
-         '65b4eecdadacdd13bbd7a3887b7bde39'
+         '789ee5206849df922b7143c8ccfd4b18'
+         'f5c8c547ee9b54e508aa315b61ba2e60'
+         '465880993dfe939b3764ca256babf28c'
+         '18ad0289e6be71cb184277fede8764ca'
+         '5d46be51aeabd15f70bfff21647aec3d'
+         'aa85660ea2c5bba251c90ba2d2b4f56e'
+         '55196941a0404703c9e7dee830f0fa24'
+         'bd885c41b054e66c577527d22b755bbf'
+         'f9ed7001c0c53986729c48ce7d2802fc'
+         '1690830ccb31328a5700da2df62d0758'
+         '8e038a4696b4e3b26623a2db63a9e68a'
+         '3d91cf1bc9d1aaf1f7bdb1d99e3f63a6'
+         'd581cee26062307db062a2b5b0b5a955'
+         '9f2a83965054c2c49517dc25ccb2fda1'
+         '5a2696b91919a7654fad1331473eb040'
+         'c97130dc60e948317e00857b3fbec1dd'
+         'f04d375393770d02663ec66fa200a76b'
+         'c7be9586e13cf61459eaed5be2c2c608'
+         '8aff8c7da2b7138bcf800db15e63b617'
          '36f323a55ee83e9dc968e1b92569b62a'
          '1948e39a68f12bfa0b7eb309c14d940c'
          'e3a0b76dcd876f3d721ee7183729153d'
          '04181e5ef82973eb349d3122a19d2274'
          '64d66018897d759358f454010b6e75d2'
          '799fc3b835a79adce8c88a3fee0150c1'
-         'db556b750bf3eac8481a4cc5e29e5af1')
+         'db556b750bf3eac8481a4cc5e29e5af1'
+         '0b3ffc43231c525db1798495a6676902'
+         'b005c4cf9f8e586539ca98c9cfe9bb77'
+         '6573ab0f3893806b366b06d575c4f547')
 
 build() {
 	unset J2REDIR; unset J2SDKDIR; unset JAVA_HOME; unset CLASSPATH
@@ -93,8 +99,14 @@
 
 	# hotfixes not yet upstream
 #	cp ${srcdir}/*.diff ${srcdir}/ooo-build-${_GOver}/patches/hotfixes/
+	cp ${srcdir}/buildfix_64bit_system_libjpeg.diff ${srcdir}/ooo-build-${_GOver}/patches/hotfixes/
+	cp ${srcdir}/openoffice.org-3.0.1.oooXXXXX.extensions.npapi.diff ${srcdir}/ooo-build-${_GOver}/patches/hotfixes/
 
-	export ARCH_FLAGS="${CXXFLAGS}"
+	# export C(XX)FLAGS
+	# http://www.openoffice.org/issues/show_bug.cgi?id=103205
+	unset CFLAGS
+	unset CXXFLAGS
+#	export ARCH_FLAGS="$CFLAGS"
 
 	if [ "$CARCH" = "x86_64" ]; then
 	      EXTRAOPTS="--without-stlport"
@@ -105,9 +117,9 @@
 		--with-build-version="${_GOver} ArchLinux build-${pkgrel} (${_ootag})" \
 		--with-srcdir=${srcdir} \
 		--with-max-jobs=${MAKEFLAGS/-j/} \
-		--with-installed-ooo-dirname="${pkgname}-${_GOver}" \
+		--with-installed-ooo-dirname="${pkgname}" \
 		--prefix=/usr --exec-prefix=/usr --sysconfdir=/etc \
-		--with-docdir=/usr/share/doc/packages/"${pkgname}-${_GOver}" \
+		--with-docdir=/usr/share/doc/packages/"${pkgname}" \
 		--mandir=/usr/share/man \
 		--with-lang="en-US" \
 		--with-dict=ALL\
@@ -119,7 +131,6 @@
 		--enable-lockdown\
 		--with-system-cairo\
 		--enable-crashdump\
-		--without-system-jpeg \
 		--without-gpc\
 		--enable-opengl \
 		--enable-minimizer \
@@ -130,8 +141,6 @@
 		--with-ant-home="/usr/share/java/apache-ant"\
 		$EXTRAOPTS || return 1
 
-#		--disable-kde\
-#		--with-system-jpeg\ # broken, see http://qa.openoffice.org/issues/show_bug.cgi?id=74749
 #		--enable-report-builder \
 #		--with-additional-sections="OOXMLExport"
 
@@ -143,18 +152,15 @@
        # install all built dictionaries from source tree
        pushd ${srcdir}/ooo-build-${_GOver}/build/${_ootag}/dictionaries/unxlng?6.pro/bin/
        for i in `ls -1 dict-??.oxt`; do
-         install -D -m644 $i ${pkgdir}/usr/lib/"${pkgname}-${_GOver}"/share/extension/install/$i || return 1
+         install -D -m644 $i ${pkgdir}/usr/lib/"${pkgname}"/share/extension/install/$i || return 1
        done
        popd
 
 	# install all other built extensions
 	pushd ${srcdir}/ooo-build-${_GOver}/build/${_ootag}/solver/310/unxlng?6.pro/bin/
-	install -m644 pdfimport/pdfimport.oxt ${pkgdir}/usr/lib/"${pkgname}-${_GOver}"/share/extension/install/pdfimport.oxt || return 1
-	install -m644 swext/wiki-publisher.oxt ${pkgdir}/usr/lib/"${pkgname}-${_GOver}"/share/extension/install/wiki-publisher.oxt || return 1
-	install -m644 minimizer/sun-presentation-minimizer.oxt ${pkgdir}/usr/lib/"${pkgname}-${_GOver}"/share/extension/install/sun-presentation-minimizer.oxt || return 1
-	install -m644 presenter/presenter-screen.oxt ${pkgdir}/usr/lib/"${pkgname}-${_GOver}"/share/extension/install/presenter-screen.oxt || return 1
+	install -m644 pdfimport/pdfimport.oxt ${pkgdir}/usr/lib/"${pkgname}"/share/extension/install/pdfimport.oxt || return 1
+	install -m644 swext/wiki-publisher.oxt ${pkgdir}/usr/lib/"${pkgname}"/share/extension/install/wiki-publisher.oxt || return 1
+	install -m644 minimizer/sun-presentation-minimizer.oxt ${pkgdir}/usr/lib/"${pkgname}"/share/extension/install/sun-presentation-minimizer.oxt || return 1
+	install -m644 presenter/presenter-screen.oxt ${pkgdir}/usr/lib/"${pkgname}"/share/extension/install/presenter-screen.oxt || return 1
 	popd
-		
-	# fix version number in istall scriptlet
-	sed -i -e "s/_GOver='.*'/_GOver='${_GOver}'/" $startdir/$pkgname.install
 }



More information about the arch-commits mailing list